2025-01-20

To do for myself:
 - Rewrite page so it's simpler and more people can understand
 - Make it easier to directly navigate to relevant section

# Advice for you (India, knowledge class)

You can read [Advice Disclaimer](./advice_disclaimer.md) first. The disclaimer says you should not take my advice too seriously, because there could be a lot about you and your situation that I do not not understand.

Figure out which section of this page is meant for you. Also, you can read the sections which are not meant for you. If you are very ambitious, they might still help.

If you don't understand anything on this page, please ask me about it. Even if you don't live in India, you can read this page, you might find something useful.

## If you have atleast 50,000 INR in savings (and live in India) - career advice

Proof: I don't have personal experience with this.

Consider finding a job that provides you with a lot more savings. Making more money may reduce your anxiety of the future. Making more money may allow to make less compromises on your moral values. Also you might get more free time to devote to something or someone you care about.

I understand you might be happy not trying to increase your income, and that is also fine. Don't let me ruin your happiness. Depending on how much free time your job gives you, you may also choose to start a side project or hobby around things you care about. This is great, although I would usually recommend starting it part-time and not quitting your job.

(If you are very ambitious, you can also read the section after this section.)

How?
 - Independent decision-making
   - The more ambitious you are, the more you have to take your own career decisions instead of blindly copying what your friends and family are asking you to do. The decisions required to climb one step in society's status heirarchies may look smart to them and the decisions required to climb five steps may look stupid to them, if none of them have climbed five steps or seen anyone else who has done it. For example if you're a shopkeeper it's easier to propose to your family that you'll buy a second shop, than to propose that you will campaign for your town's MLA seat. How ambitious you are is a personal choice. I am not telling you how ambitious you should or should not be.
   - If they dislike your choices, sometimes you can simply explain to them why you think your decisions are better than the decisions they are proposing. If that fails, there are non-violent ways to resist other people trying to influence your career in a negative way. Whether you choose to use such methods is a personal decision and depends on the exact details of your situation. See my [Controversial ideas page](../my_ideas/controversial.md) for more.
 - Work ethic
   - I should maybe start by repeating all the advice that should already be obvious to you. If you want to work hard in order to increase your income: don't be addicted to substances, get good diet, sleep and exercise, don't gamble your money, etc. (If you don't want to work hard or make money, that is a different matter.)
 - Degree and credentials
   - If you can get a bank loan to pay for your college, you should probably take it. If someone is willing to loan you money for the same, maybe you should accept. But there are more details here which I can't explain in short.
   - A lot of the really good jobs do not require a degree but require skills. However entry-level and easier jobs have a lot of competition hence employers use the degree as a filtering criteria. It is easier to climb up if you have a degree, but don't let lack of degree discourage you, your chance of success is still high if you work hard and smart.
   - If you already have some skills but lack credentials, upload short videos on youtube showcasing your skills. Good candidate includes competent and aligned. Youtube videos can quickly showcase that you are trustworthy, that you can function in a professional context, and that you are competent. Basically, you want to reduce the number of hours the employer or human resources (HR) department has to invest to find out if you are a good candidate. Every hour of additional work for HR is a cost, and credential-based filters (like degrees) are a way for HR to reduce that cost. If you lack credentials, you have to find other ways to quickly get their attention.
 - How to actually study
   - Getting access to a laptop is extremely important if you want to acquire new skills, as most useful skills require atleast some amount of self-studying, which is difficult to do on a phone or using books. If you can't buy a laptop or borrow it from a friend or family member, consider going to an internet cafe.
   - Try to find videos of people's day-to-day life doing the job you wish to acquire. There is a lot of "tacit knowledge" you will quickly pick up from such videos, which you won't get from textbooks.
     - For example if you want to be an architect, see a video of an architect while they're working. You'll get to know which features of their CAD software they actually use versus ignore, which parts of their work are original versus googled, and so on. A textbook that teaches you how to use the same CAD software won't teach you this.
   - A lot of the actual learning you can obtain by self-studying on your computer. However, making friends who know that skill is useful. Some ways they may help: they will be able to tell you which resources are useful and which ones are not useful. If you go on the wrong track, they'll be able to correct you. They may also motivate you and support you emotionally.
   - Making friends will also tell you about the job besides knowledge itself. For example how much it pays, which companies and cities/countries have good opportunities, what is valued within the field, what people pay attention to and ignore in general, the social structure inside the job etc.
   - You can also consider just observing them while they do their work. There is a lot of tacit knowledge that can be acquired this way.
 - Selecting a job to study for
   - This process is likely going to take some hit and trial. It'll depend a bit on your interests, on your current educational background (what you actually know, not what degree you have), and on who you know and what skills they can help you learn. The first skill you try to learn isn't necessarily the skill you will finally end up making money from.
   - Figure out how much time you are willing to invest. Learning a skill like software or finance will pay more, but will require atleast 1-2 years of full-time hard work. (If you're only studying part-time it'll take a lot more time.) Learning a skill like digital marketing or copywriting (well enough to get a job) may be doable in 6 months of full-time hard work, with the right guidance.
   - In general acquiring a skill that allows you to sell something over the internet is a good idea. For example: software, writing, marketing, research, podcasting, consulting, coaching, graphic design, composing music, game development, etc. An internet business can get 1000 or 1000000 times the paying customers without putting in 1000 or 1000000 times the work.
   - If you are joining an internet business like the options listed above, it is common to see the following:
     - Earnings if successful: Founder > Employee at small company > Employee at big company
     - Time required to be successful: Founder > Employee at small company = Employee at big company
     - For a lot of people, your best option for a first job is an early employee at a small company that sells services online. Expect to put atleast 3 months searching for such a job, after you have requisite skills.
     - You can also found your own company. Expect to wait atleast 5 years before you make any money. This is unless you have some special insight why you'll do it faster than that.
   - In general I recommend picking a skill or job you have atleast a little bit of genuine interest in. If you hate it, you might lose motivation to study for it and give up. It does not have to be your number one passion, but you should not hate it. You may have to self-study for multiple years till you get a job, so you need to know how to stay motivated for a long time. Even once you get the job, you don't want to end up stuck for many more years doing something you hate.
   - Try to experiment as much as possible (without spending money). It will help you learn what you are good at and what you like doing. I did this in college and benefitted a lot from it. I tried editing music, writing a book, writing rap, practising debate and public speaking, starting a college club, and a bunch of other stuff. Most of the experiments flopped but I learned about what motivates me.
   - I have basics of software development skill which I mostly self-studied. If making money is your goal, becoming a software developer is unambiguously a good option. You must be good at math and average at english to pursue it. (See your class 10 math and english marks to know if you're good, otherwise go and study class 10 syllabus first.). You can ask me more if you want to learn software.
   - Some random opportunities you can look into:
     - Join French foreign legion, its part of the army in France - no degree needed, but you have to pay for flight yourself, and selection not guaranteed (you have above 50% chance if you take the opportunity seriously)
     - Teach English in southeast Asia - any degree ok, get TEFL certificate for $40 online, you can find job only after reaching destination country, contact me to know more.
     - Start a kitchen for a niche (less popular) cuisine. Many Indian cities and towns lack this. For example if you live in Kolkata, start an Odisha restaurant. If you live in Silchar, start a Manipuri restaurant. If you live in Delhi, start a Thai restaurant instead of a generic (indianised) Chinese one. Monopoly is good for business, 4-5 kitchens competing for the same customers is bad for business.

I will update this section once I have more data or spend more time thinking about it. 


## If you have atleast 10 lakh INR in savings (and live in India) - career advice

I assuming you have the skills and credentials to make this money yourself, i.e., you didn't inherit it or win it in a lottery or something.

(If you are very ambitious, you can also read the section after this section.)

#### Making 1 crore INR might or might not be a good goal

Proof: I don't have personal experience with trying to make 1 crore. Consider getting the opinion of people who have tried this.

If one of your main life goals is to make > 1 crore INR and you believe this will make your life more happy/peaceful/meaningful/etc than it is today, I strongly recommend you try the following experiments. I don't think I'll be significantly happier with 1 crore, and I don't think I'm the only person whose brain is wired this way. The following experiments may help you get more clarity on whether the money will actually help you.

Experiments to run to test if you *really* want the money or not
 - Make a list of things that you will be able to afford with more money that you can't afford today. Maybe a bigger house, maybe more international trips every year, maybe a gaming PC in higher price range, or so on. Try getting a test version of this today, and see if this indeed makes you happy. For instance take an international trip once or rent a really big house for a month or rent a gaming rig for a month.
 - Imagine you had a button that could switch off the part of your brain that generates anxiety when you pursue a higher risk career path. Imagine you had a similar button that could switch off the part of your brain that internalises social pressure from family and friends to make more money. What would be a good decision for this hypothetical person?
 - Notice the people in your immediate social circle who have above 1 crore, versus people who have 10 lakh to 1 crore INR. Ask them to how happy they are, and take an average of both categories. Try to find people who are self-aware and trust you enough to be honest with you. (In particular, try to notice whether the people who have more money are happier because they can buy more stuff or because their family and acquantances are no longer pressuring them to make more money.)
 - Take a few months off from your job. Make a list of things you'd like to do that don't require a lot of money, but require a lot of time. Maybe you want to learn a language or learn an instrument. Maybe you want to become better at video editing or study some college math courses online. Actually spend the few months doing some of these things. Notice how this feels and compare this to when you were making money.

For me personally, things I don't consider major benefits of 1 crore INR, assuming one already has 10 lakh INR:
 - house, bigger house
 - vehicle, bigger vehicle
 - more travel
 - more tasty food, higher-end clothes, home decor, other consumerist stuff
 - safety net for medical emergencies

For me personally, things I consider major benefits of 1 crore INR:
 - going really deep into a hobby
   - For example one could setup a private research lab or a recording studio or a high-end kitchen. A hobby of this sort is capable of capturing my sustained attention for multiple years.
   - I have met only a few people in India doing this sort of thing with their money. If you are doing something cool, please [let me know](../contact_me.md). I'd love to learn more about you and what you're working on.
 - school education for (potential) children
   - But also like, consider homeschooling your kids, if your and your child's aptitude exceeds the school teachers'. 80% of my school education was a waste of time and money (no offense intended to my schoolteachers, most of them were decent people). Your kid can socialise with other kids elsewhere for free, and they may be eligible for a loan for college.

If you still conclude at the end of these experiments that making this money will make you significantly happier, feel free to do what as your heart desires. Ignore my advice and any social pressure I might be providing. I'm happy for you to do what makes your life most happy/peaceful/meaningful/etc. Consider reading the section on how to make 10 crore anyway.

#### Making 10 crore INR might be a good goal

Proof: I have some experience trying to make this amount and failing at it. I don't have personal experience with having this much money. Consider getting the opinion of people who do have this amount.

For me personally, main benefit of 10 crore INR:
 - You can get an investor visa and live in any country in the world. You are no longer beholden to the laws and culture of a single nation, and you'll feel more safe.
 - The main determinants of your quality of life no matter where you live will probably be your work and your handful of close relationships. Living in a different country is especially valuable if it will lead to better work or better close relationships.

For me personally, not a benefit of 10 crore INR:
 - FIRE (become Financial Independent and Retire Early) is not an interesting goal for me, most people who spend > 10 years to achive FIRE seem to get bored at the end anyway. Travelling and relaxing 24x7x365 is not enjoyable for most people, you will probably have to start your own projects to keep yourself occupied.

How?
Most stable career paths in India take too long (>10 years) to make this amount of money. If this is your goal, you are much better off doing one of the following:
 - upskilling and getting YoE on resume to the point where you can get a job from a developed country, either in-person or remote. This could involve getting foreign degree, or Indian job and in-company transfer
   - I don't have personal experience with this so ask people who do. I know this is quite common.
 - starting your own startup or business
   - I have a lot of resources on this, but here's not the place to share it. Read Paul Graham's blog, even if you are not founding a tech startup.
 - cracking UPSC
   - I generally don't recommend UPSC to most people, as most UPSC preparants can get higher rate of return on their time by studying a skill like software or writing or research or finance
   - Consider studying like 1/4th of the syllabus and give previous year exam papers on just that portion. From your marks you'll get a rough idea whether you're on track to cracking the exam or not.

Pursuing either of these requires you to quit your current job in India and not worry too much about leaving the "low risk" path.

There are a few other edge cases, for example you could marry someone with money or network with them and become their consultant or become a sex worker or something. I won't discuss them much here.

#### Becoming a major politician or a billionaire might be a good goal

Proof: I don't know much about this. Consider asking someone who does.

If you want significant influence over society, this is an option. You will have to work very hard, in order to acquire the required attention or capital. Also you will have to learn some of the behaviours of a socioeconomic class different from yours. You will definitely lose some of your current family and friends in the process, so it will be socially isolating. Also there may be an aspect of luck, many self-made billionaires admit to the role luck played in their success. (Although most people who do report luck as a factor report odds like 10% or 30%, not something unlikely like 1%. So don't let the luck factor dissuade you.)

I don't have a lot to say because it isn't something I know enough about yet. But I am interested in studying this, whether or not I ever seriously pursue this myself.

#### Not making money might be a good goal

Proof: I have over a year of personal experience with this.

Assuming you live on 10k INR per month, and assuming you have 10 lakh INR in savings, you can spend 8 years not working. If you don't want to live on 10k/mo and need 20k/mo to be happy, you can spend 4 years not working. (Adjust this for the actual numbers relevant to you.) The important thing is to measure your money not in number of lakhs but in number of years it buys you. 

Personally I realised I would be miserable trying to start a tech startup to make 10 crore INR, hence I gave up on this goal. (I'd probably be happier once I had the money. I'm talking here only about the process of acquiring it.) I'd much rather work on projects I care about. Figuring out which projects are worth doing takes time. I am still in the process of figuring this out for myself, but I'm confident I'm better off this way compared to when I tried to make money.

I might still take a job at some point, but atleast I'm clear the primary reason I chose this was not money but instead learning or social connections or something else. This is a huge privilege and I'm grateful to have it.

I don't recommend my current life path to everyone, but I recommend atleast considering it as an option.

## If you have 10 crore INR - career advice

Proof: I don't have 10 crore INR. Consider getting opinion from those who do.

Consider reading my advice on the other advice page.

If you are sufficiently ambitious, I would generally recommend not living in India. There are better opportunies available outside of it. There is very little India-specific advice that I can think of that would be relevant to you. One exception would be if you are already running a business in India and feel you have a significant edge in running this, compared to all the other opportunities you could be exploiting instead.

Business cultures vary *a lot* depending on country, based on my limited experience. Consider experiencing business cultures in multiple countries, no matter where you finally settle.


## Trading and investment advice

Read the section on the other advice page.

Real estate underperforms S&P500 by a lot unless you have insider knowldge. Buying real estate as an investment (not for living in it) is the number one financial mistake I see people make in India.

NIFTY is also a decent option if you can't or don't want open a foreign account to buy S&P500 ; difference between NIFTY and S&P500 performance is not large if I remember correctly.


# ... I might expand this doc in future

