2025-01-15

To do for myself:
 - Rewrite page so it's simpler and more people can understand
 - Make it easier to directly navigate to relevant section

# Advice for you (Knowledge class)

If you don't understand anything on this page, please ask me about it.

Please read [Advice Disclaimer](./advice_disclaimer.md) first.

## Advice for everyone - Make notes

For almost everyone on Earth, I recommend making more notes about your life.

Why?
 - You will likely gain a deeper understanding of various aspects of your life.
   - It could be fundamental things like what your likes, dislikes, values, etc. are.
   - It could be practical things like how to dress or what to eat or how to write good emails.
 - You will retain thoughts that are otherwise temporary and easily forgotten.
 - It'll help you make long-term plans.
 - You'll notice patterns over long periods of time, such as problems that repeated themselves multiple times. and solutions that have worked multiple times.

How?
 - Pen/paper or digital works. I prefer digital because it's easier to edit and easier to preserve. (Yes, paper survives 100+ years, hard disk survives only ~5 years, but you can make copies of digital work more easily and preserve the copies.) Preserving long-term is very important, you want to be able to preserve your notes for 30+ years.
 - I've never made paper notes. If you're making paper notes, it is best you get advice from someone who does this. If I remember, state of the art is using acid-free paper with archival ink and storing backup in a secure location with low humidity. (The paper is more important than the ink.)
 - If you're making digital notes, the easiest option is google drive or apple notes or something similar.
 - If you don't have or want to use KYC/phone number/digital ID, protonmail/protondrive is a good option as of 2024-12. Most websites (like Google, Apple, etc) force you to enter phone number which is tied to KYC in many countries.
 - Also it is a good idea to keep a backup on a disk in a secure physical location. Check the disk for errors once a year and swap it every few years, most disks fail in ~5 years.
 - If you know basic software development, I recommend you rent a linux machine, ssh into it and store plaintext/markdown notes instead. File formats, folder structure, account login methods, payment methods, UI/UX and lots of other things change every few years. Many of these rapid changes are causally downstream of the war between Big Tech companies, and it's better if your second brain isn't stored in some random file format you don't understand.
 - Some people like the fancy features of Roam, Obsidian, hackmd and so on. I've personally not found any of the features worth sacrificing the ability to preserve your notes 30+ years. If any of these tools support import/export in plaintext (NOT json, csv, rtf, docx or anything else), you could consider using them while also maintaining a plaintext backup outside of the tool.
 - Beyond this how much security you need is upto you, as additional security takes a lot more effort. Most people don't critically "need" more security, although it would be nice to live in a world where higher security could be obtained for little effort. Make sure to define your threat model. If your threat model is defending against targetted govt investigation and intelligence agencies, you could look into: LUKS disk encryption, anonymous server host paid anonymously (or better, host your own server in a secure location), separate devices and locations to login, PGP-encrypted ASCII paper backups along with disk backups, cronjob or custom deadmans switch, study enough network programming that you actually understand network vulnerabilities of your system, and so on. You'll get good security recommendations on the dark web. An airgapped machine in a faraday cage is the most secure setup, but most people want network access.
   - If you're using an NSA-proof security setup like this, maybe consider publishing the details so the rest of us can converge on best practices. (I understand people who use maximally secure setups are the same set of people who will not talk about their secure setups. That's why I'm nudging you a little bit here.)
   - Also remember that if you're operating this sort of setup, 50% of your opsec is the people you surround yourself with, not cybersecurity stuff. Spend as much effort studying that as you spend studying cybersecurity.


## Advice for everyone - Learn from the internet

 - You can improve nearly every aspect of your life by learning from the internet.
 - As of 2024, most google search results are SEO-optimised crap. (The website author deliberately wants your search to hit their page so they can serve you ads, and they don't care if they actually answer your question or not.) 
 - Popular platforms worth using as of 2024
   - Reddit - honest recommendations, life perspectives, technical Qs. Use "site:reddit.com" in your search query to get responses from reddit. Reddit users are not being paid to answer your query, and are more likely to be honest.
   - Libgen - free books
   - scihub - free papers
   - Youtube - podcasts, life perspectives
   - Stackexchange - very technical Qs, academia-heavy audience
   - Twitter - I hate the forced login and politics, but its good for following latest news in any community
   - Tiktok - yes lol you can even get latest news and technical tips on tiktok
   - discord - fastest way to audio/video call strangers, can follow open source (usually tech) projects
   - hackernews - basically the number one forum for software developers
   - lesswrong - niche forum I follow. In general whatever niche interests you have, there's probably a very small number of places on the internet that have its userbase. Find these places and follow them.
 - As of 2024, attention on the internet follows a power-law distribution. A very small number of websites have almost all the attention of all people on Earth. If you want to get answers to your queries, you have to learn to post your queries on these platforms.
 - LLMs like GPT4 (ChatGPT) are also good for receiving advice, and getting better.
 - Search even things you'd not think about searching. Every question you can imagine can have answers online. For example, how to become better at running, how to ensure house remains heated, how to sleep better, how to win arguments, etc etc etc.
 - Learn to get good at filtering information.
   - Most of the people around you in real life are a biased audience, they represent a very small portion of humanity. They are selected based on nationality, class, profession, religion, style of thinking, etc. Most of the people on the internet are also a biased audience. Different websites filter for different types of people. (And yes, please remember that people on the internet are people, with an entire life outside of the handful of comments of theirs you read.)
   - For example chemsistry stackexchange will predominantly attract people with a chemistry degree and predominantly from US/Europe. Whereas a subreddit about your country will attract the upper and upper-middle class of your country, all degrees, and likely only one political side. (The people of the other political sides were probably annoyed and went to a different subreddit or website instead.)
   - [Social dark matter](https://homosabiens.substack.com/p/social-dark-matter) is another very important idea to internalise here. Almost everyone has things they will avoid talking about or be dishonest about, especially on the intetnet, because of their irl situation. You will get a skewed picture of reality if you trust their internet representation to completely capture the irl version of them.


## Advice for (almost) everyone - Make a website

 - For almost everyone I recommend making your own website
 - How much and what types of content you post on the website is a personal decision. However, having a website will remind you that you have this option.
 - As of 2025, if you lack software skills, it's easier to host content on substack and youtube respectively. I'd still recommend making atleast a one page website that links to your substack and youtube. You can learn to use github pages for this, or pay someone who knows a bit about software.
 - If you have non-zero software skills, here's a simplified version of the setup I use. Rent the cheapest Hetzner Cloud server you find. Store your plaintext and other static files in `/var/www/Website`. Store the config file below in `/etc/nginx/sites-available/yourwebsitenamegoeshere.conf`. Delete the default website and config file found in these folders. Then `sudo apt update && sudo apt upgrade -y && sudo apt install nginx -y && sudo systemctl start nginx`. Whenever modifying static files do: `sudo systemctl reload nginx`. Purchase a domain from cloudflare or anywhere else (cloudflare does free DDOS protection), and set `A` records to your server's IP (IPv4). You can also use AI to write a more elaborate nginx conf and write CSS files for you.
```
server {
    listen 80;
    server_name yourwebsitenamegoeshere.com www.yourwebsitenamegoeshere.com;
    root /var/www/Website/;
    location / {
        autoindex on;
        try_files $uri $uri/ =404;
    }
}
```

## Advice for people who publish content online

Please consider keeping plaintext (not json, docx or whatever format) backups of your work.
Why?
 - Your favourite publishing platform (be it substack or wordpress or whatever) is not guaranteed to exist in 5 years, and if it does it might look like a different company altogether.
   - Payment policy might change
   - KYC / identification policy might change
   - business model or revenue stream might change, which changes everything about a company (even Big tech companies are not immune, Apple is the only whose revenue is not ad-based, LLMs might change the ad revenue landscape, etc.)
   - company might be acquired or lose talent etc. Check lifespan of median tech company.
 - Your account might get censored, hacked, lose access etc.
 - Popular file formats might change in 5 years. Plaintext lasts forever.

## Using AI to accelerate learning

AI can help you learn anything faster. It is best if you know basic software developer skills and can write simple bash scripts. (If you're on windows please rent a linux machine. Don't learn windows commandline, it's a waste of time.)

If you don't have software skills, you can probably still find online websites that can do most of the following. The tools may have rate limits, ads, higher cost etc but you'll find them.

Some specific tricks using AI to speedup learning:
 - Transcribe youtube videos: yt-dlp + ffmpeg silenceremove + whisper API
 - Extract plaintext from any webpage: curl + htmlq
 - Extract plaintext from epubs: unzip + find + htmlq
 - Once you've extracted plaintext, you can use AI to generate summaries and notes, simplify complex terminology, ask specific questions, generate quizzes or anki decks, etc.
 - Ideally you should be able to embedding-search everything. As of 2025-01-14 I'm not aware of any embedding search solution where you can "bring your own plaintext" and it'll do embedding generation and inference. But I'm expecting this will soon exist.



## Trading and investment advice

Proof: I have personal experience. I have invested and traded my money, and worked at trading-related companies.

Investments and trading will likely not be the primary determinant of your life trajectory, unless you make it your full-time job. Increasing your income or revenue is more useful than trading/investing your existing money.

If you are very ambitious, there's probably some projects you actually believe in that you can make concentrated bets on - finanically and otherwise. But for most other people, its worth knowing about investment basics and making a handful of investments in the background.

If your savings cover less than 3 months of your living expenses (and this isn't expected to increase over the next 5 years), most of this information is not relevant to you. I'd recommend keeping your money safe in your bank account for emergencies, and not trading or investing it. You can still acquire some of the knowledge, without putting in any money.

#### Investments

I have used IBKR to buy S&P500 as a long-term investment (>5 years hold). I may or may not also own some BTC and ETH.

If you are considering buying S&P500: Make sure to look at S&P500 100 years historical chart. Consider studying basic concepts of finance like probability, expected value, variance, tail risk and timeframes. This knowledge is not mandatory but it'll prevent you from buying too much / too little or selling your investment too early.

IMO studying finance is somewhat useful even if you're not investing your own money. Looking at the world through a lens of probability and linear optimisation is a skill that many finance/econ people have and many non-finance people could benefit from.

#### Trading

It is possible to self-study trading from the internet. However, trading knowledge has an uncanny valley where someone who has a medium amount of knowledge and experience will tend to lose more money than someone who has no knowledge or experience. You have to cross this valley to become an expert. If you practice trading for multiple years you'll probably be profitable eventually, but consider if the time invested doing this is worth it. Long-term passive investment is good when you don't have a lot of time to devote to trading.

If you'd like to learn trading, practice with a small amount first, but take your decision-making process as seriously as if you had invested a significant amount. Don't bother with paper trading, just use a small amount of real money. Make sure to list multiple possible outcomes of each trade, their probabilities, the underlying hypotheses behind your trade and what could invalidate it.

"Technical analysis" is mostly a scam IMO, ignore it. Fundamentals-based trading is fine. Using an algo to predict trends in other people's trades is fine. Small cap is usually better than big cap for trading due to less efficiency. Shorter timeframe (seconds, minutes) is usually better than longer timeframe (weeks, months) if you're writing a bot, and vice versa if you're not.

Being successful at options trading is harder than it looks, I've lost money almost everytime I've done it and I don't personally recommend it unless you can devote atleast a year full-time just to options. This also applies to any unusual derivative whose theoretical valuation model looks at all similar to black scholes. (For example, binary options, there are mobile apps that try to addict you to it.)


## If you are a software developer

Proof: I have personal experience as a software dev.

Every development in how information transmits - be it printing press, semaphore, radio, television or telephone - has brought significant changes to how war and politics are practised. Consider studying the political implications of your own work. I only recommend studying this if you genuinely care or are genuinely curious.

No matter which country or company you're in, the technical knowledge you produce as a developer will likely eventually transfer to the Big Tech companies. This could be via a chain of acqusitions, via people leaving your company to start another, or via blogs and github repos. You might therefore have some influence on where your work finally ends up being used.

The fraction of Earth's population using Big Tech services has been going strictly upward for 20+ years. Every new business idea that succeeds is likely to increase this number, as businesses get acquired or their key ideas replicated.


## If you want to learn software dev

As of 2024, software development is one of the highest paying professions that you can get just by self-studying for 1-2 years on the internet. This is because a software business can serve millions of customers while investing very little money. Most other industries either can't serve millions of customers, or require significant initial investment to do it.

`Net revenue = number of customers * (profit per customer - cost per customer) - initial investment`

w3chools has good tutorials for learning software development.

Start with their tutorial on Python. Python is a good language to start. After learning some python, you can learn C (not C++). Don't make javascript your first language.

Ask a friend who knows software to install the tools for you, such as compilers/interpreters, libraries, etc. Installing things is not beginner-friendly and you should not spend time on it as a beginner. Making a friend who knows software dev is also useful to ensure you're not on the wrong path.

Initial concepts worth learning are: how to do standard input/output, data types, arithmetic, loops, functions. At first, ignore concepts that are not in this list, and become experienced with these concepts first.

Write code in a simple text editor like Notepad, Notepad++, Sublime Text, etc. No need for fancy IDE. Online code editor is okay but also learn how to do things on your own machine.

Also learn some linux commands such cp, mkdir, rm, mv, etc. Sign up to a platform like aws ec2 or gcp to get access to linux machines. You might get free credits.

Only after you have done all of this, try learning a language for a specific task. For example ReactJS for frontend web development or Java for mobile app development or whatever. It is possible to directly jump into building a website without knowing fundamentals, but you will eventually end up going back to fundamentals anyway.

Do whatever keeps you motivated. It's better to learn things the wrong way than to give up and not learn.

