2025-01-20

# Controversial topics thread

Please consider first reading the page on [Disclaimer on value differences](../value_differences_disclaimer.md).

## Freedom of speech

I live in India, upper-middle socioeconomic class (college-educated, net worth $20k-$100k). This might place certain restrictions on what I can say and how I say it.

Some topics that are considered sensitive:
 - criticism of people in my immediate social circle
 - criticism of any religion or religious leaders, including related issues like dating, caste, etc.
 - criticism of any political party or politicians in India
 - criticism of India
 - ???

All my opinions on these topics are within this one post, and I will avoid mentioning them in other posts. 

(I might use pseudonyms to talk about these topics anonymously. I understand that someone putting enough effort can probaly doxx them anyway.)

## No movement pls

Social change happens not when 10% of people want change, but when 10% of people know that everyone in that 10% wants change. Establishing "common knowledge" is a major part of it. See also: [Blue Eyes Puzzle](https://xkcd.com/blue_eyes.html), [Scott Alexander's political posts](https://slatestarcodex.com/about/), [Srdja Popovick's book](https://www.amazon.com/Blueprint-Revolution-Nonviolent-Techniques-Communities/dp/0812995309#customerReviews)

**I am NOT interested in acting as a leader for social change around any topic mentioned on this page.**

Goals of this website:
 - Find high quality research collaborators, receive high quality feedback
 - Spread knowledge

NOT Goals of this website:
 - Establish "common knowledge", start a political movement


## Rule of law

Protecting your safety, belongings and relationships requires living in a culture that allows you to protect these things. Law enforcers are usually members of your culture and ultimately accountable to members of your culture. It is not practical for law enforcement to protect you if most members of your culture don't feel you deserve to be protected.

Physical safety is the second level of Maslow's hierarchy, after having enough food and water. In today's world (and particularly in India), it is rare to find someone dying of thirst or starvation. But it is not rare to find someone who feels unsafe.

Fear begets fear. If you are afraid of people of a different value system from yours, you're less likely to advocate for rule of law to protect them. They will then use extra-legal means to protect themselves. Now both you and them are less safe.

People who feel less safe can be less empathetic, less honest, less trusting and more isolationist. If many people collectively feel unsafe, this has impacts on nearly every aspect of culture. These damaging effects can persist multiple generations, as it is transmitted from parents to children.

In particular, if you are benefitting in any way from making others feel less safe, please consider whether your benefits are worth inflicting this sort of damage on another person. The damage can persist long after you die, the benefits may not.

Please consider protecting people in your daily life from harm irrespective of their value system. Please consider advocating for a rule of law that protects everyone. This way everyone can peacefully coexist despite their differences.


## Individualism

I am quite individualist. I take my life decisions myself, and I want to ensure I'm the primary person responsible for the outcomes of my life. IMO some people, but not necessarily all people, could benefit from being more individualist. How you want to live your life is a personal decision. I am not recommending everyone copy me.

Why?

Some important ideas that I believe in are as follows.

1. Almost nobody likes being controlled by another person.
 - This could be a parent or sibling or spouse or employer or political leader or anyone else. Voluntarily following someone almost always feels better than following them under threat of violence or starvation.
 - Ideally you can negotiate boundaries and agreements with people in your current social circle in a mutually beneficial way, be it when deciding your actions or when expanding or narrowing your circle.
 - I'm strongly in favour of consensual social connections over non-consensual ones.
 - I'm also generally in favour of making long-term commitments not only short-term ones. Consensual agreements doesn't necessarily mean no commitments or responabilities.
 - However, sometimes people in your existing social circle might restrict you and seek control over you. If you are currently under someone else's control, and you would prefer to break out for any reason, this might be possible. See below for how.

2. There are 8 billion people on this planet. The probability that your family and friends are among the wisest / most knowledgible / happiest / kindest / etc people out of these 8 billion is approximately zero.

 - You can still selectively learn good things from your family and friends, but it'll help to also consider learning from others.
 - You can increase the odds you have an awesome life by deliberately choosing what you learn and from whom. Your source of inspiration and learning could be a podcaster or religious leader or politician or filmstar or anyone really.
   - Copying other people's decisions tends to get you life outcomes similar to those you're copying. Make sure to track what outcomes your role models got in their own life.
 - If you are not satisfied with your role models' life outcomes and want something better (or even just different) for your life, you must learn to think independently and act independently.
   - Becoming an independent thinker starts with exposing yourself to books, people and situations that others in your social circle are not being exposed to. Your brain is a computer, its output depends on its input.
   - I have gained a tremendous amount of value in my life doing this, arguably more than my entire formal education (although it's kinda hard to compare, they both support each other).

3. Approval / disapproval of you by your social circle is one of the largest predictors of your behaviour.

 - Social incentives (what your friends and family approve of and disapprove of) are often a stronger predictor of your behaviour than financial incentives (what makes you more money) or culture (what other people around you usually do).
 - If you choose your social circle deliberately, you can alter your own thinking and behaviour.
 - Pain of social disapproval is often greater than reward of social approval, atleast in terms of how it feels inside your head. You should be especially careful about what your peers disapprove of, as this will affect you more strongly.
 - See also: Asch's conformity tests and other research that confirms these hypotheses in a specific lab setting


#### See also: Dealing with abusive situations

DISCLAIMER: I am not an expert on dealing with abusive situations. If you are in such a situation, try to get advice and support from people who have more experience with it than me.

How to break out of another person's control?
 - Two things you need:
   - a source of income or sufficient savings not under this person's control. If you do not have this, obtaining this should be your life priority.
   - moral convinction that you are not anyone's slave or property.
 - Conflicts of this type that I've seen are often more psychological warfare than actual war.
   - If you believe you are not under their control, this reduces their control over you.
   - Non-violent resistance is powerful and ensures you retain the moral high ground. Keeping this internal sense of morality and self-respect is important in order to break out.
   - If they threaten violence, it is often a bluff, they lose their power if you call their bluff.
   - Even if they are violent, spending one month in a hospital may be better than spending decades as their slave.
   - Some situations are extreme enough that your abuser would literally rather murder you than let you go free. In this case, you may have to be more strategic, move slowly, find allies before making any move. Your opponent is not willing to play fair and neither do you have to. You may end up scarred whether you stay in this situation or attempt to break free. Remember that one day you are going to die, and your choices will affect your life many years to come.



## Cosmopolitanism

I am extremely cosmopolitan.

If this at all interests you, I recommend making friends (or atleast acquaintances) of people from countries other than your native one. I would also recommend making friends with people of different cultures in your country, of different socioeconomic classes, and of different value systems.

How?
 - This could be online or by travelling to other places or by finding people from those places visiting or living in your city.

Why?
 - Friends can tell you things you won't learn as easily from social media or elite-funded news channels (i.e. almost all news channels).
 - Also you'll be able to empathise with actual people rather than figments of your imagination. I've personally had good experiences doing this.
 - The really optimistic version of this is, maybe wars will become less likely if everyone had friends from other countries, maybe class boundaries would reduce and so on. But I think the benefits to you as an individual alone are worth it, ignoring the societal benefits.


## Religion

I am atheist. I strive to be tolerant of people of other faiths, although there are some topics we may have to avoid in casual conversations in order to have a pleasant interaction.

Which religion you choose to belong to is one of the most important decisions of your life. You don't want to blindly pick whichever religion you happened to be born into. It is better to think deliberately about it.

How?
 - If you are interested in exploring further on this topic, there are lots of freely available websites, books and videos online. Consider reading the writings of all the major world religions, and reading materials from multiple conflicting points of view.
 - I'm not sure what the best intro resource on atheism is, maybe [this one?](https://www.suchanek.name/texts/atheism/ChapterUniverse.html).

**The rest of this section elaborates my personal views on religion. If you're not interested, you are free to ignore it.**

There's a bunch of separate threads of evidence in favour of atheism that I consider worth studying. Which ones you study more deeply may depend on your interests. The most important thing is you actually study these topics yourself from the ground up, so you aren't blindly trusting a bunch of scientists or scientific institutions.

Stuff I've studied reasonably well:
 - biochemistry, genomics, computational genomics ([example](https://asia.ensembl.org/info/genome/compara/mlss.html?mlss=1098))
 - newton's laws, quantum mechanics, newton's laws implying deterministic universe, philosophical implications of human brains also being deterministic
 - occam's razor, solomonoff induction
 - chalmer's hard problem of consciousness

Stuff I've studied at surface level:
 - radioactive carbon dating of fossils
 - particle physics, esp. particle physics around big bang, star formation
 - evolutionary explanations for mammalian morality
 - redshift of stars due to universe expansion
 - psychology, evopsych, sociology of groupthink

Stuff I wish I'd study sometime:
 - reading holy texts of all major religions (I'm still halfway on this)
 - CMB radiation
 - neuroscience and psychology research on meditation, prayer, community rituals

Some potential advantages of being atheist:
 - In the very long run, you might help humanity find the truth. Truth tends to survive the rise and fall of civilisations, as information is easy to preserve and hard to destroy. A record of your beliefs and actions may be preserved and later read by others even if your nation gets nuked to dust, for example.
 - People around you might benefit in terms of material wellbeing. Post-Englightenment, there's a direct correlation between countries' GDP growth and their cultural tolerance of atheist scientists and engineers. (I also suspect there's a direct correlation between this tolerance and rate of new inventions by country, but this is harder to prove.)
 - You might avoid some traps like using medicines that haven't undergone double-blinded randomised control trials and may hence be toxic.
 - It might improve your critical thinking skills. Many cognitive biases are due to social pressure, learning to resist social pressure will make you a better thinker. Your beliefs may be less compartmentalised, as knowing the truth in one subject also aids with knowing the truth in other subjects (and vice versa knowing falsehoods deteriorates it).

Some potential disadvantages of being atheist:
 - You may end up distanced from people who no longer share your values. Coordination is easier between people with shared values and beliefs. You may find it harder to coordinate with others.
 - You may end up distrusting of other people's beliefs. You'll realise truth-seeking is really hard and a lifetime of effort is not enough to discover all the important truths about the world.
 - You may have more anxiety about the future. You'll realise many events in life are random and beyond your control. (For example, this could be who you date or how good your health is or how a particular exam result went.) You'll realise people often imagine fictitious narratives to make sense of random events, because they don't like random events.
 - You'll realise most problems in life don't solve themselves, someone needs to actually put in the work to solve them.
  - You'll have to take life decisions while facing more uncertainty about potential outcomes. You'll realise many facts about our past, present and future are currently unknown. Many of these facts will remain unknown even after you die.
 - You may become more confused about your morality. You'll realise that different cultures produced people with different moral values.
 - You'll realise the world is not a fair place, karma doesn't always work. History is full of mass murderers who received more love and popular support than you ever will.
 - You may end up less satisfied with your present circumstances. Most religions teach some degree of contentment with one's present circumstances.

If you have recently become atheist, I encourage being kind to yourself while you figure out its implications for your life. This took me many years to figure out, and could take you as well.

