2025-01-20

# Project ideas for you

Here's a (incomplete) list of projects that I wish existed. Feel free to complete any of them if you find them interesting enough. You'll probably also get other ideas if you browse through my website. I hoping to minimise duplication of info on my website.

I might work on some of these myself in future.

It's possible some of these ideas are completely off-base. If so, please let me know.

# Most important projects as per me

What is "important" depends on one's worldview. This list is biased towards my subjective worldview that considers future of surveillance, future of tech and geopolitics as very important. I would encourage to form your own independent view of what is important or meaningful to you and select projects based on that, instead of blindly copying my view.

#### Meta work

For each of the projects listed below, you can directly work on the project. Or you can do "meta" work that enables other people to complete the projects.

Examples of meta work:
 - find people who can fund the work
 - find people interested in doing the work and connect them to each other
 - raise media attention for the work to find more interested people
 - figure out business models if possible (Usually the most impactful+tractable+neglected opportunities to improve the world are hard-to-commercialise. Once you can find a way to commercialise them they become less neglected)
 - set up research labs or offices with infrastructure conducive to the work, and reduce entry barrier for interested people to get access to the infra
 - publish reviews of existing work. write about failed agendas so researchers won't waste time on the failed ones.
 - train people who are interested in doing the work but lack skills

Depending on the project, you can identify which of these meta work will be more useful and which will be less useful.

#### Anyone

Writing
 - Write a book about your life that will be released after you die. Prefer including information that you don't feel safe sharing while you are still alive.
   - Objective: People of later generations will get unfiltered view of the good and bad in your life, and can use this information to make their lives and their society better.
   - If the information will negatively affect other people who'll outlive you (such as family members), consider leaving the book with a young lawyer / trusted person and a date when they should release the book.
   - Publishing it (getting an ISBN or whatever) is optional. Put the book online and pay a trusted person to ensure the server hosting it doesn't ever go down.
   - You can also start a non-profit that popularises this "autobiography after death" idea and handles legal, payment, webhosting aspects for everyone else who wants to launch such a book.

 - If you hold any well-paying job, record videos of your day-to-day life at work. This will help others more quickly acquire the necessary tacit knowledge for them to get your job.

#### Politics

 - Consider starting a youtube channel and getting enough attention to influence politics.
   - Which niche you want your initial userbase to come from is upto you, the important thing is to not stop there and go for mass appeal eventually.
   - Which country's politics you'd like to influence is upto you. Probably you'll pick the country you live in.
   - This is the kind of insanely ambitious plan I wish I was the right person for, but might not be.
 - Look into industrialisation of agriculture in India, in particular the politics involved in consolidating small land holdings into big ones so that large-scale automation becomes possible.
   - 500 million plus people's lives depend on it.

#### Media/journalism

 - Consider starting an independent espionage org to infiltrate and HD video record an org doing something of questionable morality. For example, the Mole (anti-NK) or Edward Snowden (anti-US).
   - Consider NOT mentioning my name anywhere; I make no public claims on which orgs do or don't deserve to be spied on.

#### Psychology

 - Consider starting a youtube channel on psychology or or cultural issues.
   - IMO a lot of problems in modern world can be solved through changes in culture, even if there are no significant changes in material circumstances. So a few people like you could many countries' populations on a better path.

#### AI research - artificial superintelligence

 - Please read my post on [AI timelines](../my_ideas/my_ai_timelines.md) or related posts made by others.
   - They explain my guesses on why the AI labs in San Francisco might invent artifical superintelligence in the next 10 years, and what its outcomes could be.
   - If such arguments persuade you, consider working in the field of AGI/ASI safety.
   - I won't make specific recommendations on which exact project or job role is good, you have to figure that out for yourself. Please don't blindly defer to others when making this decision.

#### Any STEM researcher

Writing
 - Make a blogpost with photos of the latest equipment in your lab, short descriptions of what each equipment does, and short videos showing how to operate it.
   - Target audience: STEM-degree holder who know nothing about your research field
   - Objective: someone can quickly get an idea of what your field of research does on a day-to-day basis, without having to complete a bunch of courses.
   - Ideally you could even publish video recordings of all your experiments which are published in journals. It will be easier to understand, replicate and notice errors in experiments if there is publicly available video recording of them.
 - Identify Hamming questions in your research field and write about them. Hamming questions are basically the set of questions that would accelerate the research field *the most* if solved, and have a non-negligible chance of being solved if people tried solving them. For many fields, the Hamming question is IMO inventing a data collection tool (like microscope, brain probe, cyclotron, etc.) that provides data at a resolution/cost/speed not available with existing tools.
 - In general if you have any sort of expertise that is rare on Earth, consider writing about it. If you're patient you may be positively surprised how many people read it.

#### Fusion energy

Research, writing
 - Consider working on fusion energy, or writing about it.
   - IMO a lot of cultural problems would be improved if everyone involved was more wealthy. (Assuming wealth is measured in terms of real resources like food, water and energy consumption per capita, and not measured in terms of dollars.)
   - IMO this is one of those rare ideas that is radical and yet agreed on most people as good, if they think enough about it. Unlike many of the other projects listed on this page, that have obvious downsides if executed well and even more downsides if executed poorly.
   - The main argument against fusion I've read is that all people should abandon all attempts at tech progress and put all their attention and energy into some social science projects instead. I am sympathetic to this perspective but don't fully agree. If this argument were true then most of the projects on this page would not be worth doing.

#### Biotech

Writing
 - Write about automation of biotech R&D. Optimistic/pessimistic/neutral take, anything is fine.
 - Write about history of 1990-present biotech.

Research
 - Look into feasibility of mics and cameras implanted into human body. (If this turns out feasible, carefully pick who to disclose this information to.)
 - Work in the bioweapons space, to reduce risk of anyone using a bioweapon or mitigating damage
   - I'm not sure what the best projects are in this space, go ask someone who knows about it.
 - Work on genetic engineering of humans
   - Again, I'm the wrong person to ask what the best projects here are, see [this](https://www.lesswrong.com/posts/JEhW3HDMKzekDShva/significantly-enhancing-adult-intelligence-with-gene-editing) for example.

#### Cybersecurity

Hardware
 - Improve airgapped tech
   - Test all the Faraday cages available online for security. Suggest recommendations based on security, price, blending in with society, etc
   - Handmade radios that can read wifi IP packets. (I'm not sure this is even possible.)

Software
 - Improve internet anonymity
   - Payment-based (or proof-of-work-based?) firewalls so server owners don't need to deanonymise and demand "reputation-building" of IP addresses to defend against DDOS. Proton and Brave already have working implementations of proof-of-work captcha, I'm unsure why they haven't replaced Cloudflare yet. So you could figure that out.
   - Pay-for-bandwidth on Tor (or something Tor-like), so nobody has to altruistically donate bandwidth on Tor
   - Invent something Tor-like that resists analysis of metadata and traffic stats better than Tor
 - Improve airgapped tech
   - Increase ease-of-use of LUKS disk encryption.
   - Help with mature implementation of Shamir secret-sharing that can ship with linux.
     - `ssss` already exists, I'm not sure what's the process to make it as trustworthy as pgp for example. Probably just more cybersecurity researchers using it and reporting issues?
   - Linux phone that doesn't suck.
     - Will need to get popular enough that all popular apps (food delivery, ride sharing etc) also ship a linux version of their app. 
     - ios and android (and the mobile browsers) would be a lot less locked down if linux phones existed as a competitor.
 - Misc
   - Good SFTP GUI clients for android and ios (iphone)
     - Support image/audio/video thumbnails and previews, GUI file browser, support internet connections that are really good (low latency) and really bad (high latency, high packet loss)
     - ios filesystem probably sucks on purpose so people are forced to purchase icloud subscription (or purchase macbook+airdrop) instead of renting a linux server. The bigger move to play here is to launch a linux phone (see above).

Writing
 - Write about hardware backdoors.
 - Write about cyberwarfare from a game theory lens.

#### AI and information tech

Software
 - LLM embedding search projects
   - Obtain upperbound on effectiveness of LLM embedding search-based stylometric doxxing.
   - LLM embedding search over Libgen books' text.
   - LLM embedding search over CommonCrawl plaintext.
   - LLM embedding search over ethereum blobdata or another hard-to-censor data store.
 - LLM language translation projects
   - Integrate LLM language translation better with browser and OS.
   - Realtime voice language translation for in-person conversation. Connect to two pairs of headphones and two screens. Play the translation while the person is still speaking, and subtract the original from the headphone mix.
 - One-click LLM-generated summaries of every ~10 pages of any libgen epub.

 - [TIMEBOUND] Solve [VNC challenge](https://codex.flywire.ai/app/vnc_matching_challenge) in drosophilia connectome. No neuroscience knowledge needed. Fully map vertices between two graphs (~19k vertices each, ~2-4M edges each) to maximise number of common edges.
   - This investigates the connectome hypothesis. Is a weighted graph of neurons (connectome) alone sufficient to learn useful things about C elegans or Drosophilia melanogaster brains, or is lower-level information such as electric signal data needed?

Infra
 - Hard disk "dead drop" marketplace - as a replacement to torrent for large datasets

#### Pharmacology

 - Figure out substances that do any of the following, but without the downsides and side effects that existing substances have:
   - improve socialising similar to alcohol and cannabis, or similar to oxytocin. Especially focus on changes in ability to experience trust or love that are long-term.
   - render someone incapable of lying, similar to barbiturates but more effective. (If you find this, disclose this very carefully, it has huge political implications.)
   - improve fluid intelligence (IQ), focus, executive function, working memory, long-term memory, etc.
   - increase human lifespan
 - In general any sort of work in pharmacology that is aimed at improving the baseline human condition, rather than fixing disabilities, is someting I'd be a fan of.


# Some more projects

Here's some more cool projects. I'm less confident they're important or worth doing, but consider looking into them anyway.

#### AI and information tech

Software
 - Language learning content
   - Possibly produced by video generation AI
   - Produce video content aimed at language learning based on "comprehensible input". (Video content of real-life scenarios where visuals help explain to the viewer what the audio means.). Prefer near-zero large gaps in the audio, entertaining not just educational, and progressively increase vocab size and grammar complexity based on the learner's language level. Repeat this for all pairs of popular source and destination languages.
 - Look into Denuvo game crack and study state-of-the-art in beating code obfuscation.
   - Using deliberately complicated data structures is one of the last defences against perfect surveillance, see how well it actually holds up versus not.
 - Find zerodays, leaked identity databases, hacking software etc and publish about them publicly.
   - It would be nice to get more public information on what state of the art looks like here.
   - There's a responsible way to do this, figure that out for yourself and follow it.
 - Write better RAM-only software
   - We're reaching a point where the whole world's plaintext data and most of its programs can run entirely in RAM, rarely ever touching the disk. Even backup can be done to another machine's RAM instead of to disk. Performant RAM-only databases and software are still hard to write however.
 - Improve DevOps to setup cloud machine in < 1 second
   - Within one second it should be possible to get the following ready: launch new machine, install requested software (apt install xyz, snap install xyz), libraries (npm install xyz, pip install xyz, etc), load user API keys to respective tools, load user dataset on disk
   - There are two software dev paradigms: where developer time costs more and where hardware+electricity costs more, this is to speedup the former
   - (Maybe) Increase ease-of-use of attaching/detaching block storage from processor, and resizing block storage without corrupting data. A user can quickly attach external block storage (with existing dataset). Instead of downloading over internet, or from same cloud's s3.
   - (Maybe) Provide block storage with various popular libraries installed. A user can quickly: rent + attach external block storage
   - (Maybe) Provide external RAM with RAM filesystem with various popular libraries installed. A user can quickly: rent external RAM + attach external RAM + copy to internal RAM + detach external RAM.
   - (Maybe) Don't install anything at installation time, but fetch from the external RAM fs at runtime
   - (Maybe) Distribute .pyc bytecode instead of python wheels (for all combinations of OS, python and library versions)
   - (Maybe) Figure out why npm installs are slow and speed them up
   - (Maybe) Standardise a keystore where someone can dump all their API keys, and import them on any internet-connected machine with one-liner command + password + 2FA (optional).
   - (It's possible some of this can already be done a different way, and I'm just ignorant)
 - Global notification app
   - Allow any website to register with your app and push mobile notifications through your app
   - Why?
     - Ease of ensuring user security from everyone except the server themselves: Websites (Google, Apple do security via chromium, safari security features) > Mobile apps (Google, Apple do security via android and ios security features, and app store approval system) > Desktop apps (User must figure out which apps to trust)
     - Open source mobile browser is easier to maintain than open source mobile OS. In general, software complexity is a moat. Easier to maintain reduces cost-of-exit from Google and Apple ecosystems, which reduces decision-making over future direction of ecosystem exerted by Apple and Google. (ios+android market share is 99.5%, adding Samsung android-skin its 99.8%, whereas chromium+safari mobile browsers are ~97% with firefox and UC browser as minor competitors)
     - Most mobile apps could be mobile websites instead, if they had a way to send notifications while closed.
     - (Launching a linux phone is still a bigger move though.)

Infra
 - Setup low latency ("edge") GPU datacentres in hundreds of cities across the world
   - i.e. as many geographic locations as cloudflare, not aws
   - its possible cloudflare themselves do this over next 1-2 years
   - This is a "cool" project that benefits a few use cases (such as AI-enabled cloud gaming) but doesn't necessarily improve the world in terms of amount of surveillance.

#### Games

 - Write a game that does not blindly copy ideas from existing game genres.
   - Games allow you to express a strictly larger set of ideas than films or books. However as of 2024 it's still more common for a person to say that they changed their life over a book or film, than a game. If you're imaginative enough, you can change this.

#### Robotics

 - Run an automated kitchen operating at medium scale (1k-1M meals/day), or advance robotics and AI for the same.
   - If you compare society before Newton and today, cooking is one activity that still consumes a huge number of man hours as it did then.
   - "Scaling laws" + robotics has lots of low hanging fruit, see DeepMind's end-2024 papers for example. Even if you don't work on the AI yourself, there may be other work (such as hardware) which helps bring the AI into the world faster.

#### Biotech

 - Look into making meal replacements (Huel, Soylent etc) more tasty, run longer scale trials etc
   - I don't know much about freeze-drying proteins/vitamins/minerals or about chemistry of taste, so I'm the wrong person to guide you here.
 - Work in the artifical meat protein space
   - Again, don't know much about this space personally.

#### Urban planning

 - Figure out why don't we build one city with one billion population
   - Assuming end-to-end travel time of 2 hours via bullet-train, max population = (200 km/h * 2h)^2 * (10000 people/km^2) = 1.6 billion people
   - Is there any engineering challenge such as water supply that prevents this from happening? Or is it just lack of any political elites with willingness + engg knowledge + governing sufficient funds? If latter, will a billion-person city become feasible after 20-50 years once the world is richer and more elites govern enough capital to make it happen?
   - Bigger cities will probably accelerate tech progress, and other types of progress, as people are not forced to choose between their existing relationships and the place best for their career 




