2025-01-14

# Elite social norms

I have been raised in upper-middle class India which means I have internalised many of the social norms of the middle (knowledge) class and am blind to many of the social norms of the upper (elite) and lower (labour) classes. I am very sympathetic to perspectives such as [this analysis by siderea](https://siderea.dreamwidth.org/1237182.html) on why social class is more important than economic class, and this helps explain why I am blind.

This entire post is therefore a bunch of guesswork from someone who does not have enough first-hand data. Everything here is to be read with the understanding that it could be completely incorrect with significant probability.

If you are an elite, please correct the incorrect parts. It'll mean a lot to me if you do.

#### Disclaimer

Publishing this article in public makes me nervous for a couple of reasons.
 - I am still in a knowledge-gathering phase of my life. I want to spend more time interacting with people outside my class and learn more about what life is like for them. I'm worried I will get reduced opportunities to do that if people know I'm going to publish some of my learnings on my blog.
   - This is especially true if what I publish includes criticism, and isn't just descriptive of the facts.
   - This is especially true if I publish includes incorrect guesses of what it's like in other classes. People could think I'm naive and overconfident, and not be willing to correct me. (If you think I'm naive and overconfident, please correct me, I will appreciate more for this than if you keep quiet. If I don't accept your criticism that's okay, I'll still appreciate the attempt.)
   - In general, if I have published anything that you don't like, please let me know. I'll usually be willing to take it down or atleast rewrite it in a way it no longer feels like it is criticising you specifically.
   - (There may be exceptions. Maybe you've done something especially immoral from my perspective, and I want to call you out publicly and pick a fight with you. But this is rare, I don't usually start conflicts with other just because their values are different from mine. If you are afraid that something you say to me will end up on this blog against your wishes, please ask me first.)
 - If I had a magic wish, I would love to be part of the elite class instead of my current socioeconomic class. I think there's a lot of good that can be done in the world only by elites (or by people of my class who join the elite class).
   - However some of my current behaviours and actions in the world are already indicating my membership of the knowledge class, and my potential lack of eligibility to other classes.
   - For instance my ideal attitude to criticism is a lot closer to people of my class than the elite, whenever I hold back on offering criticism I feel like I am betraying my inner ideals for instrumental gain. In practice yes I often hold back on offering criticism for various reasons, but I hate the fact that I have to do this. (Yes, all 3 classes withold criticism, but elite class does this the most IMO, atleast for public criticism not private.)
   - If I choose to give up on my ambition of becoming an elite, I could still have significant influence, for example by influencing and advising existing elites. But this influence will still be reduced (by how much??) if I refuse to adopt any of the social norms of the elite class myself.

**I still remain unsure whether this article should stay published. If you think I would have a better life if I took this article down, please let me know.**

## Elite social norms that differ from knowledge class' social norms

A bunch of the social norms seem explainable just through incentives. I probably don't actually have to spend 10 years living as an elite myself to figure it out.

If I have to summarise this entire post in two lines it's probably the following:
 - Elite social circles are a small world, there's a small number of people like you. Your entire life - personal and professional - depends on allying with some subset of this set of people.
 - In labour class, others can destroy you so you must be careful how you behave. In elite class, you can destroy others so you must be careful how you behave. It's only the knowledge class that lives in this fictitious zone of "equality".

Now that the summary is over, I'll talk about details.

 - My guess is elites can get away with a lot more weird or even immoral behaviour in private, compared to people of other classes.
   - My guess is elites on average have a stronger demarcation between their private and public life than people of other classes. (Although yes ofcourse all 3 classes maintain this demarcation.)
   - Elites can get away with a lot more things in private simply because of the power they wield. If an elite ever got into a conflict with someone of the knowledge class, they are likely to "win" in many ways.
   - This includes self-expression that would be punished in other classes. If an elite wants to architect their house in a 16th century style, or consume a range of non-FDA-approved supplements, or go live in a monastery for a year, or have multiple partners, it's easier for them to do that. Many people of other classes would love this level of freedom and self-expression, but get restricted by their immediate social circle.
   - [Trigger Warning: Rape] This also extends to immoral actions. For example, it's a lot easier for an elite to get away with rape than someone of other classes. I also think the number of men of other classes who would rape others if they could get away with it is surprisingly high (atleast 5%, global average), but elites get to act on it instead of just thinking it in the privacy of their minds. There are 3000 billionaires today, I'm pretty sure atleast 150 of them are rapists (I'm not including paid sex work here, and I'm not including edge cases like a 50-year old sleeping with an 18-year old here).
     - Disclaimer: Predictions shape reality. Please don't turn my prediction into reality. It would be nice if I was wrong, and this number was a lot less than 5%.
 - My guess is elites are on average more lonely.
   - It is a small world at the top, there's less than 10000 elites globally. For the knowledge class it's easier to do something weird and trust that you eventually find a find people who are not just tolerant but actively supportive of anything weird you want to do. For example, if you want to suddenly convert from hinduism to christianity, you can probably find an existing community of hindus-converted-to-christianity of your class. If you are a Nepali immigrant to the US, you can probably find other nepali immigrants to the US, of your class. As an elite it's a lot harder to find another elite who shares your unique set of life experiences. (Also it takes a lot of time and effort to forge social bonds outside your class that are based on honest foundations, see my next point.)
   - As an elite you're basically 24x7 exposed to non-elites who are engaging in varying amounts of deception to get access to some of the capital and attention you wield. This is true both in professional life (other companies and non-profits who want to ally with you) and in personal life (people who want to befriend or date you). This also seems obvious based on incentives. If someone has $1M it might be worth spending 1 year trying to entrap them, if someone has $1B it might be worth spending your entire life trying to entrap them. Forging trustworthy bonds outside your social class takes a significant amount of time and effort, in fact a significant part of designing your company or government or whatever is basically figuring out how to get people of other classes to do your work without you ever having to trust them.
   - As an elite, if you're ambitious and trying to get something done, you need to interact with a lot of people where you cannot let your guard down emotionally. You cannot choose to avoid interacting with people if you are ambitious and wish to climb further upward. (This is true for basically all 3 classes, but it is an added factor here. I'm not claiming it's worse or better in this class.)
   - There is also cultural spiralling here. If the other people you know are also more lonely and less willing to take bold risks, this will also rub off on you.
 - My guess is elites can get away with less weirdness on things that actually matter, in business and politics, than people of the knowledge class.
   - There's a lot of nuance here that's hard to summarise.
   - This is especially true if they wish to keep their elite social circles (including friends and family) or climb up within their class.
   - This is especially true if the elite wields or aspires to wield attention rather than capital. Elites often wield a lot of attention by crafting a public image that is entirely separate from their private image.
     - Getting a large number of people behind cause may require you to support the average of their views, and the average of a large number of people's views is by definition conformist.
     - [Side note: I wish there was an honest way to do this. For example, I have massive respect for a politician who says "my private beliefs are X, however the voters have voted for Y, therefore if I were elected I'm going to do Y" and I have a lot less respect for someone who just pretends their private beliefs are Y. I understand that the former has disadvantages. For instance, your voters may be too unintelligent to understand the nuance. Also, your message will get mutated as it spreads across place and time, and competes with other ideas, so you may prefer communicating a simpler message over a more complicated one. If someone figures this stuff out, I'd be grateful.]
 - Elites can get away with less criticism of other elites. People of the knowledge class can tolerate more criticism on average, both on the giving and receiving end.
     - Criticising another elite in public is essentially rallying a mob against them. An elite's words in public carry a lot more weight than someone of the knowledge class. (Arguably, being able to rally people using words is basically the most important role an elite plays, in a sense.)
     - An elite's words also end up setting up status heirarchies across all the organisations they control. If you as an elite criticise only one particular type of behaviour by someone, people across all your organisations will go out of their way to avoid that particular type of behaviour.
     - The elite who receives the criticism can also do a lot more damage in response. See again, "it's a small world". The elite on the receiving end can influence their network of other elites to demand conformism or else cut off their ties with you. The extreme end of this phenomena is countries going to war over personal rivalries involving trivial matters.
     - Even when elites do use their media houses to push criticism against other elites, it's done via abstractions. It's "The New Yorker published X" not "the Newhouse family who owns Conde Nast allowed X to be published", it's "the NSA helped kill X" not "Michael Hayden the NSA director helped kill X", it's "climate non-profit got shutted because X" not "Mohammed bin Salman the prince of Saudi Arabia shuttered climate non-profit". Most of us don't even know the names of the people who own the media houses and companies and nonprofits that we interact with on a day-to-day basis, this alone is proof that abstractions work. (I'm not claiming anything about these specific examples, they're just examples.)
     - [Side note: My guess is a lot of criticism being extinguished top-down on the internet, is downstream of this phenomenon. Elites own the social media and knowledge workers publish on them.]
   - Knowing when to do things "how things are usually done" and when to invest on your personal beliefs around better ways of doing things - seems like one of the strongest markers of an elite's good judgment.
 - My guess is elites look at morality differently than people of the knowledge class.
   - Elites are less likely to register the harm done by the organisations they wield as harm that they personally have done. See also: [Power buys you distance from the crime](https://www.lesswrong.com/posts/9fB4gvoooNYa4t56S/power-buys-you-distance-from-the-crime)
     - (Arguably knowledge workers do the same blame deflection, just in a different context. If a smartphone manufacturer uses slave labour to mine their rare earth metals for their smartphone, then the people purchasing the smartphone typically think they're blameless with "if not us then someone else would do it" as a potential justification, and the CEO and investors of the company also typically think they're blameless with "if not us then someone else would do it" as a potential justification.)
   - Elites are basically above the law, the only law that matters is the rules set by other elites. The only way people of the knowledge class get to enforce rules on the elites is to find another elite who is willing to do the enforcing.
   - Most large organisations end up doing some harm to someone. Some of this is an accidental byproduct of governing a large organisation.
     - Often organisations was designed by people other than you. Even if you as an elite have the ability to re-design them better, it's often not worth the time and effort invested to do this, if your goals in life are something else.
   - Some of this is deliberate. Governments often deliberately suppress their citizens using the military for example. Companies often have armies of salesmen, lawyers and scientists aimed at addicting people to various products. These armies don't spontaneously spring into existence, there are elites who devote their entire life to trying to build them. A full analysis of deliberate harm done by elites and why this happens is out of the scope of this post.
   - Again, "small world" phenomena means as an elite, you have less ability to cut people out of your network if they have done evil things. If you want to raise as much capital or attention as possible towards a cause, you have to be more willing to tolerate receiving it from people who have done evil things. How much you tolerate depends on your negotiating position, which could depend on how rich you are, for eexample. A knowledge worker's moral line might be "I will not accept money from anyone who is rude to all their friends."; an elite's moral line might be "I will not accept money from anyone who has committed genocide.". An aspiring elite with $10M may be more tolerant of a billionaire rapist, another billionaire may be less tolerant of the first billionaire, because the former is more dependent on the billionaire's support. (I don't know where these lines actually get drawn in practice, I'm just guessing they get drawn differently.)
   - Elites are definitely more sympathetic to utilitarian ethics - ensure good done is greater than harm done. Elites accept as a matter of course that they will end up doing a bunch of both good and harm in their life. Knowledge workers are more sympathetic to deontological ethics - do not harm, how much good you do less important.
   - The net result of all these dynamics makes elite morality noticeably different from that of knowledge workers.
   - [Side note: I wish some elites could help explain their morality to the rest of us. I'm afraid many elites have given up on trying to explain anything to anyone, and this makes me sad. Many knowledge workers think that if an elite must have high moral standards, they must copy the values of the knowledge workers themselves. This is not possible due to all the incentives mentioned above. The net result of making such a demand is that you get politicians who pretend to "live like a common man" while thinking in ways very different from one. I wish some elites could explain to us what high ethical standards look like *from their own perspective*, and then actually try to uphold those standards. Forging genuine empathy and understanding between members of both classes is going to require work of this sort.]
 - My guess is elites trade a lot of favours, especially the ambitious ones.
   - Keep tracking of debts owed and incurred to other elites, not just financial but favour-based, seems like a non-trivial part of the job of an ambitious elite. Not keeping good records puts you at a disadvantage.
 - My guess is elites, especially the most successful ones, make plans with time horizons longer than the other two classes.
   - This is definitely not true of all elites, I'm sure many are just trying to improve status among their peers or find a better partner or whatever.
   - Having more wealth does allow you to make plans on the timescale of multiple generations though, so a handful of elites make use of this opportunity.
   - Sucessful elites put a lot of time into thinking what happens to their wealth, position and organisations after they die. They try finding successors (for example grooming their children for the role) and try modifying their organisations such that they can survive their death. They especially do this when they are old themselves. They care about what story they are remembered for.

[Side note: I basically think the internet is going to disrupt the social norms of all three classes. I would first like to understand what the current norms are, before trying to predict how they will be disrupted.]
