2025-01-22

# Use AI with my website

Here's some ways to use AI to improve your experience browsing this website.

/raw/ contains all the static files of my website, including markdown, images and audio.

The broader thesis I'm betting on is that as long as the raw content is present in a folder, AI can do everything else with the content - simplify it, summarise it, style it, translate it etc.

I'm aware the implementation of some of these features sucks right now and requires technical skills. I'll try improving all this when it's a priority for me and I have free time.

#### Audio voiceover

I have already used elevenlabs to convert all the text into audio files. They are available at /raw/english_audio_ai_generated_{date}/.

This may have inaccuracies or be outdated. You can also use AI to generate the voiceover yourself.

#### Search

To search my website using AI, copy-paste the contents of /raw/english_singlepage_{date}/singlepage_{date}.md into the prompt window, and follow it with whatever question you want to ask about my writings.

I have dumped my entire website contents into a single page, so it is easier to copy-paste.

#### Simplified english

I have already use OpenAI o1 to generate simplified english version of my website content. Available at /raw/english_simplified_ai_generated_{date}/

This may have inaccuracies or be outdated. You can also use AI to generate the simplified version yourself.

#### Translation

I have already used OpenAI gpt4 to get hindi translations. They are available at /raw/हिंदी_अनुवाद_ai_generated_{date}.

This may have inaccuracies or be outdated. You can also use AI to generate the translations yourself.

#### Styling

If you don't like the styling (font family, font size, line spacing, etc) on my website, you can do the following.

1. Give an AI the [current CSS](https://samuelshadrach.com/viewer.css) and [current HTML](https://samuelshadrach.com/viewer.html) file as input, and ask it to generate a modified CSS file based on your preferences.
2. Upload the modified CSS file to any online file storage such as google drive or aws s3.
3. Paste the (publicly accessible) link to the modified CSS in the form input at the bottom of the page. It will persist for the duration of your browsing session.

P.S. The default css and js are also mostly written by AI, so it's unlikely anything you generate is much worse.


#### Full stack

If you want to do something more complicated (such as doing many of the above steps together), you can download /raw/english_tarball_{date}/english_tarball_{date}.tar and then ask AI to write a bash pipeline for you that does all the necessary steps.

## Future features

In short, I really don't want to host a (not static) backend or manage user payments. And I don't see why the use cases below should should require me to host one.

The features I'm personally most interested in:
 - WebRTC client connecting to OpenAI Realtime API (audio), with this website's content injected as context
   - This is a common enough use case that I wish someone else would offer hosted backend for this.
 - Better payment system
   - An important reason AI app devs need to host a backend is because OpenAI wants to be paid by app devs, who will then optionally collect payments from end users.
   - For my use case though, ideally OpenAI collects payments from users and issues (ephemeral) API keys to the client directly. Then no backend would be required.
   - Legal liability might be a reason they're avoiding doing this. I'm unsure. Maybe OpenAI wants an app dev who they can hold responsible for API inputs with malicious intent.

Other features that would be cool:
 - Ability to ask OpenAI to crawl my website directly. No "singlepage" needed. I have updated my robots.txt but OpenAI still refuses to crawl my website.
   - Legal liability might be a reason they're avoiding doing this. I'm unsure.
   - Maybe they don't want to be held responsible for sending GET requests on IPs with bad reputations. Or they don't want to handle responses containing data of malicious intent.
   - If legal liability is the only reason, then ideally the crawler runs client-side.
 - Browser allows changing UX using AI. Some of the features above like translation and changing CSS are UX features that could ideally be supported by the browser itself. Until then someone could write a browser extension for it.
   - So far I don't see a reason this can't happen. Maybe it will happen eventually.
